read.echosounder {oce} | R Documentation

## Read an echosounder data file

### Description

Read an echosounder data file, producing an object of type `echosounder`.

### Usage

    read.echosounder(file, channel=1, soundSpeed=swSoundSpeed(35,10,50),
                     tz=getOption("oceTz"), debug=getOption("oceDebug"),
                     processingLog)

### Arguments

`file` | a connection or a character string giving the name of the file to load.
`channel` | sequence number of channel to extract, for multi-channel files.
`soundSpeed` | sound speed, in m/s. (The documents on Biosonics instruments suggest that this could be inferred from values in the file header, but test files proved this to be false.)
`tz` | character string indicating time zone to be assumed in the data.
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.
`processingLog` | if provided, the action item to be stored in the log, typically only provided for internal calls.

### Details

Reads a biosonics echosounder file. This function was written for and tested with single-beam, dual-beam, and split-beam Biosonics files of type V3, and may not work properly with other file formats.

### Value

An object of `class` `"echosounder"` with standard slots `metadata`, `data` and `processingLog` that are described in the documentation for the object `echosounder-class`.

### Bugs

Only the amplitude information (in counts) is determined. A future version of this funciton may provide conversion to dB, etc. The handling of dual-beam and split-beam files is limited. In the dual-beam cse, only the wide beam signal is processed (I think ... it could be the narrow beam, actually, given the confusing endian tricks being played). In the split-beam case, only amplitude is read, with the x-axis and y-axis angle data being ignored.

### Author(s)

Dan Kelley, with help from Clark Richards

### References

Various echousounder instruments provided by BioSonics are described at the company website, http://www.biosonicsinc.com/. The document listed as [1] below was provided to the author of this function in November 2011, which suggests that the data format was not changed since July 2010.

[1] Biosonics, 2010. DT4 Data File Format Specification. BioSonics Advanced Digital Hydroacoustics. July, 2010. SOFTWARE AND ENGINEERING LIBRARY REPORT BS&E-2004-07-0009-2.0.

### See Also

The documentation for `echosounder-class` explains the structure of `ctd` objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    ## Not run:
    e <- read.echosounder('data.dt4')
    plot(e)

    ## End(Not run)

[Package oce version 0.9-18 Index]